package com.dwl.mindoc.test;

import com.dwl.mindoc.service.DBGenerDocService;
import com.dwl.mindoc.service.ProjectModelDocService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.io.IOException;
import java.text.ParseException;

@RunWith(SpringRunner.class)
@SpringBootTest
public class MainTest {


    @Autowired
    private DBGenerDocService dbGenerDocService;

    @Autowired
    private ProjectModelDocService projectModelDocService;


    @Test
    public void ProjectModelDoc() throws ParseException, IOException {
        projectModelDocService.generDoc();
    }

    @Test
    public void DBInfoDoc() throws Exception {
        dbGenerDocService.getDataBase();
    }

}
